import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Lizard here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Lizard  extends Mover
{
    /**
     * Act - do whatever the Lizard wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        turnAtEdge();
        randomTurn();
        move();
        lookForBug();
    }    

    /**
     * Turns at the edge of the world.
     */
    public void turnAtEdge()
    {
        if (atWorldEdge())
        {
            turn(17);
        }
    }

    /**
     * Makes a random turn.
     */
    public void randomTurn()
    {
        int randNum = Greenfoot.getRandomNumber(100);
        if (Greenfoot.getRandomNumber(100) < 10) {
            turn(Greenfoot.getRandomNumber(90) - 45);
        }
    }

    /**
     * Checks whether we have stumbled upon a flower.
     * If we have, then eat it. Otherwise, do nothing.
     */
    public void lookForBug()
    {
        if (canSee(Bug.class)) {
            eat(Bug.class);
            Greenfoot.playSound("au.wav");
            Greenfoot.stop();
        }
    }
}
